Subject: [alpine-aports] [PATCH] 3.2-stable/main/postgresql: security upgrade 9.4.5 (CVE-2015-5288, CVE-2015-5289)

From: Christian Kampka <[email-masked]>
Date: Mon, 30 Nov 2015 22:26:12 +0100

fixes #4781
---
 main/postgresql/APKBUILD | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/main/postgresql/APKBUILD b/main/postgresql/APKBUILD
index c8dcb08..60a3934 100644
--- a/main/postgresql/APKBUILD
+++ b/main/postgresql/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=postgresql
-pkgver=9.4.4
+pkgver=9.4.5
 pkgrel=0
 pkgdesc="A sophisticated object-relational DBMS"
 url="http://www.postgresql.org/"
@@ -59,7 +59,7 @@ package() {
 	install -D -m755 "$srcdir"/postgresql.initd \
 		"$pkgdir"/etc/init.d/postgresql || return 1
 	install -D -m644 "$srcdir"/postgresql.confd \
-		"$pkgdir"/etc/conf.d/postgresql || return 1 
+		"$pkgdir"/etc/conf.d/postgresql || return 1
 	install -D -m755 "$srcdir"/pg-restore.initd \
 		"$pkgdir"/etc/init.d/pg-restore || return 1
 	install -D -m644 "$srcdir"/pg-restore.confd \
@@ -86,20 +86,19 @@ contrib() {
 	cd "$_builddir"
 	make DESTDIR="$subpkgdir" -C contrib install || return 1
 }
-
-md5sums="1fe952c44ed26d7e6a335cf991a9c1c6  postgresql-9.4.4.tar.bz2
+md5sums="8b2e3472a8dc786649b4d02d02e039a0  postgresql-9.4.5.tar.bz2
 00f0fc07fb8447f7e174c4cee0661722  initdb.patch
 a7a193cce4443998e3a47fde4f10723e  postgresql.initd
 199747784fcba0a92e55283b90993d78  postgresql.confd
 140ed427fe54b435064f0e3c6f683aea  pg-restore.initd
 bf45384752b320b369f1425939763178  pg-restore.confd"
-sha256sums="538ed99688d6fdbec6fd166d1779cf4588bf2f16c52304e5ef29f904c43b0013  postgresql-9.4.4.tar.bz2
+sha256sums="b87c50c66b6ea42a9712b5f6284794fabad0616e6ae420cf0f10523be6d94a39  postgresql-9.4.5.tar.bz2
 36a65229bf31b20a95ff2e2cac1a6ece0c61afdcd0b544759ad12f34d1b98a39  initdb.patch
 af57a4190b1f5019290d26429b973d31465a8224a2e552fc3ecaf4fb4e471d7f  postgresql.initd
 70ac7bf24556c16e6324b4efe76fba425bb09a2f7e74afbb5f988333eb8df724  postgresql.confd
 e509cdb77a4be8a74381b039bb8e5dc3a7b7ef3375785acf967092e4e6a34215  pg-restore.initd
 31414d8b57c4cd2116b6014de3f1329875151910753fbd616daec4554866d02f  pg-restore.confd"
-sha512sums="e0f0efc2e3a01c93dad98796476808d60be243841104ceb496d2227214a9b4c5a32c5f550f0a456b0c64f2458aae32026960b63f68188269d367d900683a6061  postgresql-9.4.4.tar.bz2
+sha512sums="01ad4b5a097efa70f74a9e96b764c32953a9df57d6bf81b893a1e552475f6aba0381580dcd1f27b2c443ce89fecc429eeeb0219af60a0b2f84798f76eb1757f5  postgresql-9.4.5.tar.bz2
 6f7fdceb1a5aba3f00894ae88afdf25e5f9c7a0ffc00b11211011a6415ea73639d6a67f516cab66c6487484bab26ded3c93471d6d41ac0d3822926c22274f2ba  initdb.patch
 af37b100cc67769817e4c9e997abecf50475d7f0bf9b0f1d51bf8454d45abd6c87d5d315ed6cafd14e0dd059e96723a6203b756236070d12968816666e63e522  postgresql.initd
 e906e23241bed2624719c1e7e5305695cce1cb520f26f6a4c6bbb994f59db3cc4c63afcfe0e7fb705ad4691dd0a911770012fc16819e4c2686c7029e1e4a4a45  postgresql.confd
-- 
2.6.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---